class DirectoryRunner
  EXCLUDE_FILES = %w{. .. .sass-cache}.freeze
  
  def initialize root_dir
    @root_dir = root_dir
    raise "FileNotFound" if @root_dir.nil?
  end

  def process(dir = nil, &block)
    dir ||= @root_dir

    Dir.foreach(dir) do |filename|
      unless EXCLUDE_FILES.include? filename
        act_path = File.join(dir, filename)
        block.call act_path
        self.process act_path, &block if File.directory? act_path
      end
    end
  end
end