# -*- encoding: utf-8 -*-
# stub: mindful_sass 0.0.3 ruby lib

Gem::Specification.new do |s|
  s.name = "mindful_sass".freeze
  s.version = "0.0.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["'Falk".freeze, "Hoppe'".freeze]
  s.date = "2011-08-01"
  s.description = "\n    <p>Sass or the much better approach of scss is really helpful and a big silver bullet for my css structuring in \n    ruby projects.</p>\n    \n    <p>Standard sass command works for whole directories or single files only. In general it gets the jobs we want done, \n    but in practical usage i think the sass command tool is a little bit unconvinient. A common scenario for me is, \n    that you have whole bunch of sass files, which you want to compile to a single compressed output file.\n    But if you have splitted your sass files in component based modules and you want to watch the complete folder you \n    have to care for dependency handling in each file, because each file will be compiled for its own.</p>\n    \n    <pre># compiling a complete folder with scss\n    ~ $ sass css/scss:css/compiled</pre>\n    \n    <p>So converting the whole folder is not what i want, because i don\\'t want to import for example my color.sass config file\n    in each module again. Compiling a single file seems to be the better solution, and it works in general, as expected,\n    but the devil is in the detail. </p>\n    \n    <pre># compiling a single file where the other files are imported.\n    ~ $ sass css/scss/main.scss:css/compiled/main.css</pre>\n    \n    <p>If we change a file with impact to our main.sass file, the --watch handle will not get it, because it observes only\n    the timestamp of the given main.sass.</p>\n    \n    <p>Here is it, where mindful_sass tries to help out. You use it according to the single file variant of \n    sass, but it tries to observe the whole folder the given sass file is placed. If a timestamp of file in the sass folder\n    or its children changes it will compile the specified main.sass again.</p>\n\n    <p>This gem is not aimed to replace anything in the sass universe. It is only a wrapper to avoid the described unconvinience, \n    and i hope that it gets useless as fast as possible, because the sass development gets this feature done for themselves.</p>\n\n    <p>Thanks anyway to the sass developer team.</p>\n  ".freeze
  s.email = "info@systems-engineer.net".freeze
  s.executables = ["mindful_sass".freeze]
  s.files = ["bin/mindful_sass".freeze]
  s.licenses = ["GPL-3".freeze]
  s.rubygems_version = "3.3.7".freeze
  s.summary = "provides a recursive observer for sass command line tool. Takes the same arguments as sass, using the sass single file syntax.".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version
end
